.hero {
  width: 100%;
  background: var(--white-color);
}
.hero__wrapper {
  display: flex;
  flex-direction: column;
  padding: 110px 0 170px 0;
  position: relative;
}

@media screen and (max-width: 768px) {
  .hero__wrapper {
    padding: 100px 0 120px 0;
  }
}

@media screen and (max-width: 400px) {
  .hero__wrapper {
    padding: 90px 0 120px 0;
  }
}

.special-text,
.main-text,
.special-text-down,
.main-text-down {
  transition:
    background-color 0.3s ease,
    color 0.3s ease;
}

.special-text {
  width: fit-content;
  font-family: var(--third-family);
  font-weight: normal;
  font-size: clamp(60px, 13.3vw, 192px);
  line-height: 100%;
  color: var(--white-color);
  padding: 10px;
  background-color: var(--accent-color);
  cursor: pointer;
}

@media screen and (max-width: 768px) {
  .special-text {
    font-size: clamp(65px, 15.6vw, 120px);
  }
}

.main-text {
  width: fit-content;
  font-family: var(--font-family);
  font-weight: 700;
  font-size: clamp(60px, 16.5vw, 240px);
  text-transform: uppercase;
  color: var(--gray-color);
  padding: 10px;
  cursor: pointer;
}

@media screen and (max-width: 768px) {
  .main-text {
    padding: 10px 0;
  }
}

.special-text-down {
  width: fit-content;
  font-family: var(--third-family);
  font-weight: 400;
  font-size: clamp(56px, 21vw, 305px);
  line-height: 0.6;
  text-transform: uppercase;
  color: var(--light-grey-color);
  padding: 10px;
  margin-left: auto;
  cursor: pointer;
}

.main-text-down {
  width: fit-content;
  font-family: var(--third-family);
  font-weight: 600;
  font-size: clamp(60px, 13.2vw, 192px);
  line-height: 100%;
  text-transform: uppercase;
  color: var(--accent-color);
  cursor: pointer;
  padding: 0 0 10px 0;
}

@media screen and (max-width: 900px) {
  .main-text-down {
    line-height: 1.2;
  }
}

@media screen and (max-width: 768px) {
  .main-text-down {
    font-size: clamp(47px, 13vw, 100px);
  }
}

@media screen and (max-width: 400px) {
  .main-text-down {
    padding: 0;
    font-size: 47px;
  }
}

.hero__item {
  max-width: min-content;
  width: 100%;
  display: flex;
  flex-direction: column;
  background: var(--white-color);
  padding: 20px 20px 10px 0;
  position: absolute;
  top: 45%;
  left: 0;
}

@media screen and (max-width: 900px) {
  .hero__item {
    position: static;
  }
}

@media screen and (max-width: 768px) {
  .hero__item {
    max-width: 100%;
    padding: 20px 0 0 0;
  }
}

@media screen and (max-width: 400px) {
  .hero__item {
    max-width: 100%;
    padding: 25px 0 0 0;
  }
}

.hero__item h3 {
  font-family: var(--third-family);
  font-weight: 600;
  font-size: 50px;
  line-height: 1.2;
  color: var(--black-color);
  white-space: nowrap;
}

@media screen and (max-width: 1200px) {
  .hero__item h3 {
    font-size: 35px;
  }
}

@media screen and (max-width: 900px) {
  .hero__item h3 {
    font-size: 54px;
  }
}

@media screen and (max-width: 768px) {
  .hero__item h3 {
    font-size: clamp(28px, 7.03vw, 54px);
  }
}

@media screen and (max-width: 400px) {
  .hero__item h3 {
    white-space: wrap;
  }
}

.hero__item h4 {
  font-family: var(--third-family);
  font-weight: 600;
  font-size: 60px;
  line-height: 1.2;
  color: var(--accent-color);
  white-space: nowrap;
}

@media screen and (max-width: 1200px) {
  .hero__item h4 {
    font-size: 40px;
  }
}

@media screen and (max-width: 900px) {
  .hero__item h4 {
    font-size: 66px;
  }
}

@media screen and (max-width: 768px) {
  .hero__item h4 {
    font-size: clamp(31px, 8.6vw, 66px);
  }
}

@media screen and (max-width: 400px) {
  .hero__item h4 {
    font-size: 31px;
  }
}

.hero__item p {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  color: var(--black-color);
  margin: 20px 0 20px 0;
}

@media screen and (max-width: 768px) {
  .hero__item p {
    margin: 0 0 20px 0;
  }
}

@media screen and (max-width: 400px) {
  .hero__item p {
    line-height: 1.3;
    margin: 10px 0 35px 0;
  }
}

.hero__item p a {
  font-family: var(--font-family);
  font-size: 16px;
  font-weight: 700;
  color: var(--accent-color);
}

.hero__button {
  margin-left: auto;
}

@media screen and (max-width: 400px) {
  .hero__button {
    width: 100%;
    text-align: center;
  }
}

/*===SCROLL===*/
.scroll {
  display: flex;
  align-items: center;
  overflow-x: hidden;
  background: var(--accent-color);
  height: 70px;
  margin-bottom: 70px;
}

@media screen and (max-width: 768px) {
  .scroll {
    height: 64px;
  }
}

@media screen and (max-width: 480px) {
  .scroll {
    height: 50px;
  }
}

.scroll div {
  padding: 0;
  white-space: nowrap;
  display: inline-block;
}

.scroll div img {
  display: inline-block;
  max-width: fit-content;
  height: 50px;
}

.div1 {
  animation: marquee1 40s infinite linear;
  animation-delay: -40s;
}

.div2 {
  animation: marquee2 40s infinite linear;
  animation-delay: -20s;
}

@keyframes marquee1 {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(-100%);
  }
}

@keyframes marquee2 {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-200%);
  }
}

/*===services===*/
.services {
  width: 100%;
  background: var(--black-color);
}

.services__wrapper {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 70px 0 50px 0;
}

@media screen and (max-width: 400px) {
  .services__wrapper {
    padding: 45px 0 30px 0;
  }
}

.services__wrapper h1 {
  text-align: center;
  color: var(--white-color);
}

.services__grid {
  max-width: 1360px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-top: 50px;
}

/* Первый ряд */
.services__row--first {
  display: grid;
  grid-template-columns: 1fr 1fr 2.06fr;
  gap: 20px;
}

/* Второй ряд */
.services__row--second {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

@media (max-width: 1024px) {
  .services__row--first {
    grid-template-columns: 1fr 1fr;
    gap: 20px;
  }

  .services__row--first .service-card:nth-child(3) {
    grid-column: span 2;
  }

  .services__row--second {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 640px) {
  .services__row--first {
    grid-template-columns: 1fr;
  }

  .services__row--first .service-card:nth-child(3) {
    grid-column: span 1;
  }

  .services__row--second {
    grid-template-columns: 1fr;
  }
}

.service-card {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  gap: 10px;
  padding: 20px 20px 25px 20px;
  height: 403px;
  border-radius: 15px;
  word-wrap: break-word;
  overflow-wrap: break-word;
  word-break: break-word;
  hyphens: auto;
}

.service-card h4 {
  font-family: var(--font-family);
  font-weight: 800;
  font-size: 24px;
  text-transform: uppercase;
  color: var(--accent-color);
  text-wrap: balance;
}

.service-card p {
  max-width: 312px;
  width: 100%;
}
.service-card.type-accent {
  background-color: var(--accent-color);
}

.service-card.type-accent h4 {
  color: var(--white-color);
}

.service-card.type-accent p {
  color: var(--white-color);
}

.block-1,
.block-2,
.block-3 {
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: center;
}

.block-1 {
  background-image: url(../../images/block-1.png);
}

.block-2 {
  background-image: url(../../images/block-2.png);
}

.block-3 {
  background-image: url(../../images/block-3.png);
}

/*===languages===*/
.languages {
  width: 100%;
  background: var(--black-color);
}

.languages__wrapper {
  display: flex;
  flex-direction: column;
  padding: 50px 0 70px 0;
}
@media screen and (max-width: 768px) {
  .languages__wrapper {
    padding: 55px 0 65px 0;
  }
  .services__grid {
    gap: 30px;
  }
  .service-card.type-accent {
    padding-bottom: 50px;
    gap: 15px;
  }
  .service-card h4 {
    max-width: 310px;
    width: 100%;
  }
  .services__row--first,
  .services__row--second {
    gap: 30px;
  }
}
@media screen and (max-width: 400px) {
  .languages__wrapper {
    padding: 35px 0 45px 0;
  }
}

.languages__wrapper h2 {
  color: var(--white-color);
}

.languages__wrapper p {
  font-weight: 600;
  color: var(--white-color);
  margin-top: 20px;
}

.languages__inner {
  display: flex;
  flex-wrap: wrap;
  gap: 25px 20px;
  margin-top: 40px;
  justify-content: center;
}

@media screen and (max-width: 400px) {
  .languages__inner {
    gap: 17px 15px;
  }
  .languages__wrapper h2,
  .advantages__wrapper h3,
  .faq__wrapper h3 {
    font-size: 29px;
  }
  .accordion-content p {
    line-height: 1.2;
  }
}

.languages__item {
  display: flex;
  align-items: baseline;
  gap: 10px;
  padding: 10px 25px;
  border: 2px solid var(--white-color);
  border-radius: 25px;
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 14px;
  line-height: 1;
  color: var(--light-grey-color);
  opacity: 0.8;
}

.languages__item strong {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 20px;
  color: var(--white-color);
}

@media screen and (max-width: 600px) {
  .languages__item {
    padding: 10px 15px;
  }
  .languages__item strong {
    font-size: 16px;
    color: var(--white-color);
  }
}

.languages__button {
  margin: 50px auto 0;
}

@media screen and (max-width: 400px) {
  .languages__button {
    width: 100%;
    text-align: center;
    margin: 30px auto 0;
  }
}

/*===advantages===*/
.advantages {
  width: 100%;
  background: var(--white-color);
}

.advantages__wrapper {
  display: flex;
  flex-direction: column;
  padding: 70px 0;
}

@media screen and (max-width: 400px) {
  .advantages__wrapper {
    padding: 45px 0;
  }
}

.advantages__wrapper h3 {
  color: var(--accent-color);
  text-align: center;
}

.advantages__items {
  display: flex;
  flex-direction: column;
  margin-top: 50px;
  align-items: flex-end;
}

.advantages__item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 0;
  border-top: 1.5px solid var(--black-color);
  gap: 20px;
  max-width: 1013px;
  width: 100%;
}

.advantages__item:nth-child(2) {
  max-width: 1128px;
  width: 100%;
}

.advantages__item:nth-child(3) {
  max-width: 1242px;
  width: 100%;
}

.advantages__item:nth-child(4) {
  max-width: 1360px;
  width: 100%;
  border-bottom: 1.5px solid var(--black-color);
}

@media screen and (max-width: 900px) {
  .advantages__item,
  .advantages__item:nth-child(2),
  .advantages__item:nth-child(3),
  .advantages__item:nth-child(4) {
    max-width: 600px;
  }
  .advantages__item {
    flex-direction: column;
    align-items: flex-start;
    padding: 15px 0;
    gap: 10px;
  }
}

.advantages__item-title span {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: clamp(18px, 4.1667vw, 32px);
  color: var(--gray-color);
}

.advantages__item-title {
  display: flex;
  align-items: center;
  gap: 5px;
}

.advantages__item-title h4 {
  font-family: var(--font-family);
  font-weight: 800;
  font-size: clamp(24px, 4.6875vw, 36px);
  color: var(--black-color);
  text-transform: uppercase;
}

.advantages__item-content {
  width: 555px;
}

.advantages__item-content p {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 1.3;
  color: var(--black-color);
}

@media screen and (max-width: 767px) {
  .advantages__item-content {
    max-width: 555px;
    width: 100%;
  }
}

/*===faq===*/
.faq {
  width: 100%;
  background: var(--white-color);
}

.faq__wrapper {
  display: flex;
  flex-direction: column;
  padding: 70px 0;
}

@media screen and (max-width: 400px) {
  .faq__wrapper {
    padding: 45px 0;
  }
}

.faq__wrapper h3 {
  color: var(--accent-color);
  text-align: center;
}

.accordion {
  max-width: 1015px;
  width: 100%;
  font-family: var(--font-family);
  color: var(--black-color);
  margin: 50px 0 0 auto;
}

@media screen and (max-width: 900px) {
  .accordion {
    max-width: 600px;
  }
}

details {
  padding: 20px 0;
  border-top: 1.5px solid var(--black-color);
}

@media screen and (max-width: 400px) {
  details {
    padding: 15px 0;
  }
}

details:nth-child(4) {
  border-bottom: 1.5px solid var(--black-color);
}

summary {
  list-style: none;
  cursor: pointer;
}

summary h4 {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 24px;
  color: var(--black-color);
}

@media screen and (max-width: 900px) {
  summary h4 {
    padding-right: 10%;
  }
}

@media screen and (max-width: 400px) {
  summary h4 {
    font-size: 16px;
  }
}

summary::-webkit-details-marker {
  display: none;
}

summary::before {
  content: "<";
  float: right;
  font-size: 1.5rem;
  line-height: 1;
  transform: rotate(-90deg);
}

details[open] summary::before {
  content: ">";
  display: inline-block;
  transition: transform 0.2s ease;
}

.accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.35s ease-out;
  margin-top: 20px;
}

@media screen and (max-width: 900px) {
  .accordion-content {
    padding-right: 10%;
  }
}

@media screen and (max-width: 400px) {
  .accordion-content {
    margin-top: 15px;
    padding-right: 0;
  }
}

details[open] .accordion-content {
  max-height: 200px;
}

/*===support-banner===*/
.support-banner {
  width: 100%;
  background: var(--white-color);
}

.support-banner__wrapper {
  padding: 70px 0 140px 0;
}

@media screen and (max-width: 400px) {
  .support-banner__wrapper {
    padding: 45px 0 90px 0;
  }
}

.support-banner__inner {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: flex-end;
  background: var(--accent-color);
  border-radius: 20px;
  padding: 20px;
}

@media screen and (max-width: 768px) {
  .support-banner__inner {
    grid-template-columns: 1fr;
    gap: 40px;
  }

  .support-banner__content {
    order: 2;
  }

  .support-banner__image {
    order: 1;
  }
}

.support-banner__content {
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin-right: 10px;
}

.support-banner__content h2 {
  color: var(--white-color);
}

@media screen and (max-width: 400px) {
  .support-banner__content h2 {
    font-size: 37px;
  }
}

.support-banner__content ul {
  display: flex;
  align-items: center;
  gap: 15px;
}

@media screen and (max-width: 400px) {
  .support-banner__button {
    padding: 10px 50px;
  }
}

.support-banner__image picture {
  border-radius: 15px;
}

@media screen and (max-width: 400px) {
  .support-banner__image picture {
    height: 303px;
  }
}

.support-banner__image picture img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  border-radius: inherit;
}
